Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: Jim Porter <[email-masked]>
Date: Sun, 24 Nov 2024 21:13:33 -0800

On 11/18/2024 9:52 AM, Ashton Wiersdorf wrote:
> Then, when Emacs started, I resized the window so it wasn't a multiple
> of a full character's height.
[snip]
> When the command finished, the Eshell prompt was almost entirely
> obscured by the modeline.

I'm not able to reproduce this. I tried running a bunch of commands, 
including ones that output large amounts of text, but it all works as 
expected: once Eshell starts scrolling the buffer (by way of calls to 
'recenter'), the vscroll is reset to 0 and everything works as it should.